layoutLakesideWater.mExits =
{
}

layoutLakesideWater.mPOIs = 
{
}

layoutLakesideWater.mHOs = 
{
}

layoutLakesideWater.mIOs =
{
	[objectIoWater] = 
	{
		links = {objectHoCan},
		cursor = kCursorDefault,
	},
}
layoutLakesideWater.kRippleFrameTime = 160
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onConstruct()
	
	Layout.onConstruct(self)
	
end
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onInitialize()

	Layout.onInitialize(self)
	
	objectScareWaterHandUp:ss(kInactive)
	objectScareWaterHandBobbing:ss(kInactive)
	objectLakesideWaterRipple1:animate("LakesideWaterRipple1_infinite", { startframe=0, endframe=9, frametime=self.kRippleFrameTime, loops="forever"	} )
	objectLakesideWaterRipple2:animate("LakesideWaterRipple2_infinite", { startframe=0, endframe=9, frametime=self.kRippleFrameTime, loops="forever"	} )
	objectLakesideWaterRipple3:animate("LakesideWaterRipple3_infinite", { startframe=0, endframe=9, frametime=self.kRippleFrameTime, loops="forever"	} )
	objectLakesideWaterRipple4:animate("LakesideWaterRipple4_infinite", { startframe=0, endframe=9, frametime=self.kRippleFrameTime, loops="forever"	} )

end
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onUsedAll(object, props)

	Layout.onUsedAll(self, object, props)
	
	if (object == objectIoWater) then
		objectScareWaterHandUp:ss(kIdle)
		objectScareWaterHandUp:animate("scareHandStart_blocking",
			{ command="playTrack track=SMALL_SCAREMOMENT", target=self },
			{ startframe=0, endframe=7,	frametime=150 }
		)
	end

end
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onStartAudio()

	-- Play some outside noises
	playAmbientAudio(kOutsideHutAmbientGroup)
	
	-- Sweeteners
	local waterTrack = {}
	
	waterTrack.group = kOutsideHutAmbientGroup
	waterTrack.tag = "RIPPLING_WATER"
	waterTrack.definition = "WATER_RIPPLE"
	waterTrack.volume = 1.0
	
	getAudioManager():playTrack(waterTrack)

end
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onStopAudio()
	stopAudioTrack("RIPPLING_WATER")
end
-- ----------------------------------------------------------------------------
function layoutLakesideWater:onAnimationFinish(animationName)

	Layout.onAnimationFinish(self, animationName)
	
	if (animationName == "scareHandStart_blocking") then
		objectScareWaterHandUp:ss(kIdle)
		
--		objectScareWaterHandBobbing:ss(kIdle)
--		objectScareWaterHandBobbing:animate("scareHandLoop",
--			{ startframe=0,	frametime=600, loops="forever", type="pingpong" }
--		)
	end

end